/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2005. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL_ST                        1       /* callback function: steady_panel */
#define  PANEL_ST_CANVAS_8               2
#define  PANEL_ST_CANVAS_7               3
#define  PANEL_ST_CANVAS_6               4
#define  PANEL_ST_CANVAS_5               5
#define  PANEL_ST_CANVAS_4               6
#define  PANEL_ST_CANVAS_3               7
#define  PANEL_ST_CANVAS_2               8
#define  PANEL_ST_meas_power             9
#define  PANEL_ST_meas_curr              10
#define  PANEL_ST_meas_volt              11
#define  PANEL_ST_frequency_slide        12      /* callback function: frequency */
#define  PANEL_ST_current_slide          13      /* callback function: current */
#define  PANEL_ST_voltage_slide          14      /* callback function: voltage */
#define  PANEL_ST_remote_checkbox        15      /* callback function: remote_on_off */
#define  PANEL_ST_register_number        16
#define  PANEL_ST_output_switch          17      /* callback function: output_on_off */
#define  PANEL_ST_range_switch           18      /* callback function: range */
#define  PANEL_ST_display_switch         19      /* callback function: display_on_off */
#define  PANEL_ST_register_slide         20
#define  PANEL_ST_DropPhase              21
#define  PANEL_ST_Phase                  22
#define  PANEL_ST_DropTime               23
#define  PANEL_ST_Mode                   24
#define  PANEL_ST_angle4                 25      /* callback function: Angle4 */
#define  PANEL_ST_angle3                 26      /* callback function: Angle3 */
#define  PANEL_ST_angle2                 27      /* callback function: Angle2 */
#define  PANEL_ST_START                  28      /* callback function: Start */
#define  PANEL_ST_angle1                 29      /* callback function: Angle1 */
#define  PANEL_ST_meas_checkbox          30      /* callback function: measure */
#define  PANEL_ST_OUTPUTDROP             31      /* callback function: OutputDrop */
#define  PANEL_ST_closebutton            32      /* callback function: close */
#define  PANEL_ST_register_command       33      /* callback function: register_control */
#define  PANEL_ST_PICTURE                34
#define  PANEL_ST_DECORATION             35
#define  PANEL_ST_report_message         36
#define  PANEL_ST_DECORATION_2           37
#define  PANEL_ST_interface_message      38
#define  PANEL_ST_TEXTMSG                39
#define  PANEL_ST_TEXTMSG_2              40
#define  PANEL_ST_TEXTMSG_3              41
#define  PANEL_ST_DECORATION_4           42
#define  PANEL_ST_TEXTMSG_4              43
#define  PANEL_ST_DECORATION_3           44

#define  PANEL_STAR                      2
#define  PANEL_STAR_address_canvas       2
#define  PANEL_STAR_serial_canvas        3
#define  PANEL_STAR_MODEL                4
#define  PANEL_STAR_serial_port          5
#define  PANEL_STAR_gpib_address         6
#define  PANEL_STAR_quitbutton           7       /* callback function: quit */
#define  PANEL_STAR_gpib_button          8       /* callback function: interfaceGPIB */
#define  PANEL_STAR_serial_button        9       /* callback function: interfaceRS232 */
#define  PANEL_STAR_PICTURE              10
#define  PANEL_STAR_DECORATION           11
#define  PANEL_STAR_TEXTMSG              12
#define  PANEL_STAR_start_message        13


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK Angle1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Angle2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Angle3(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Angle4(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK close(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK current(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK display_on_off(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK frequency(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK interfaceGPIB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK interfaceRS232(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK measure(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK OutputDrop(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK output_on_off(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK range(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK register_control(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK remote_on_off(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Start(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK steady_panel(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK voltage(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
